Bug 471906 - condor init script writes pidfile to /var/lib/condor
condor init script writes pidfile to /var/lib/condor
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.0
All Linux
medium Severity medium
: 1.1.1
: ---
Assigned To: Matthew Farrellee
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-17 11:41 EST by Matthew Farrellee
Modified: 2009-04-21 12:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 12:18:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2008-11-17 11:41:59 EST
Description of problem:

Not technically a problem, but an inconsistency.

/var/run/condor should be the target for pidfiles, and it should be made available from the condor RPM.
Comment 1 Matthew Farrellee 2008-11-17 11:42:46 EST
This is a problem for people who store /var/lib/condor on a shared file system.
Comment 2 Matthew Farrellee 2009-01-21 10:56:12 EST
This will be fixed in 7.2.0-4

commit c2cb6fdf7f29c8de9b8aaff99b1d89a51a47e655
Author: Matthew Farrellee <matt>
Date:   Wed Jan 21 08:03:07 2009 -0600

    Moved pidfile from /var/lib/condor to a more proper /var/run/condor

diff --git a/src/condor_examples/condor.init b/src/condor_examples/condor.init
index 04f1047..9fbb23a 100644
--- a/src/condor_examples/condor.init
+++ b/src/condor_examples/condor.init
@@ -7,7 +7,7 @@
 #             platform.
 # processname: condor_master
 # config: /etc/condor/condor_config
-# pidfile: /var/lib/condor/condor_master.pid
+# pidfile: /var/run/condor/condor_master.pid
 
 ### BEGIN INIT INFO
 # Provides: condor
@@ -21,7 +21,7 @@
 prog=condor_master
 
 lockfile=/var/lock/subsys/$prog
-pidfile=/var/lib/condor/$prog.pid
+pidfile=/var/run/condor/$prog.pid
 
 # Source function library
 . /etc/init.d/functions
Comment 3 Jan Sarenik 2009-01-29 04:35:51 EST
Verified on condor-7.2.1-0.1.el5:

rhel5:~# service condor start
Starting Condor daemons:                                   [  OK  ]
rhel5:~# ls /var/lib/condor/
condor_config.local  execute  log  spool
rhel5:~# ls /var/run/condor/
condor_master.pid  procd_pipe.SCHEDD  procd_pipe.SCHEDD.watchdog
Comment 5 errata-xmlrpc 2009-04-21 12:18:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0434.html

Note You need to log in before you can comment on or make changes to this bug.